JBoss 企业应用平台 (EAP) 6 支持的配置

经测试,Every JBoss® Enterprise Application Platform(简称 JBoss EAP)发行本支持各种市场主导操作系统、Java™ 虚拟机(简称 JVM)及数据库组合。Red Hat 根据您的订阅协议,在物理及虚拟环境中为支持的配置及已测试的整合提供产品及开发支持。[1]

支持的配置

要在支持的配置中运行,EAP 必须在以下认证实施的技术兼容套件(Technology Compatibility Kit,TCK)之一 及该实施支持的操作系统之一中运行。Red Hat 根据 TCK 验证平台的兼容性。

Java 虚拟机 版本
OpenJDK [2] 1.6
1.7
1.8 ** 支持仅用于 6.4.1 更新或之后的版本
Oracle JDK 1.6
1.7
1.8 ** 支持仅用于 6.3.3 更新或之后的版本
IBM JDK 1.6
1.7
1.8 ** 支持仅用于 6.3.3 更新或之后的版本
HP JDK [3] 1.7
Azul Zing JDK 1.6
1.7
1.8
Azul Zulu 1.7

已测试配置

已在以下测试配置中执行全部平台测试。

操作系统 芯片架构 Java 虚拟机
Red Hat Enterprise Linux 7(最新版本) x86_64 Oracle JDK 1.6.x
Oracle JDK 1.7.x
Oracle JDK 1.8.x
IBM JDK 1.6.x
IBM JDK 1.7.x
IBM JDK 1.8.x
OpenJDK 1.6.x
OpenJDK 1.7.x
OpenJDK 1.8.x
Red Hat Enterprise Linux 7(最新版本) PPC IBM JDK 1.6.x
IBM JDK 1.7.x
IBM JDK 1.8.x
Red Hat Enterprise Linux 6(最新版本) x86
x86_64
Oracle JDK 1.6.x
Oracle JDK 1.7.x
Oracle JDK 1.8.x
IBM JDK 1.6.x
IBM JDK 1.7.x
IBM JDK 1.8.x
OpenJDK 1.6.x
OpenJDK 1.7.x
OpenJDK 1.8.x
Azul Zulu 1.7.x
Red Hat Enterprise Linux 6.5(最新版本) PPC IBM JDK 1.6.x
IBM JDK 1.7.x
IBM JDK 1.8.x
Red Hat Enterprise Linux 5(最新版本) x86
x86_64
Oracle JDK 1.6.x
Oracle JDK 1.7.x
Oracle JDK 1.8.x
IBM JDK 1.6.x
IBM JDK 1.7.x
IBM JDK 1.8.x
OpenJDK 1.6.x
OpenJDK 1.7.x
Microsoft Windows 2012 Server R2 x86_64 Oracle JDK 1.6.x
Oracle JDK 1.7.x
Oracle JDK 1.8.x
Microsoft Windows 2008 Server x86
x86_64
Oracle JDK 1.6.x
Oracle JDK 1.7.x
Oracle JDK 1.8.x
Azul Zulu 1.7.x
Microsoft Windows 2008 Server R2 x86_64 Oracle JDK 1.6.x
Oracle JDK 1.7.x
Oracle JDK 1.8.x
Azul Zulu 1.7.x
Oracle Solaris 10 x86
x86_64
SPARC64
Oracle JDK 1.6.x
Oracle JDK 1.7.x
Oracle JDK 1.8.x ** x86 除外
Oracle Solaris 11 x86
x86_64
SPARC64
Oracle JDK 1.6.x
Oracle JDK 1.7.x
Oracle JDK 1.8.x* x86 除外
HP-UX 11v3 Itanium 64 HP JDK 1.7.x

已测试的整合

已测试的整合是一组定义的特殊测试整合技术,代表 JBoss Enterprise Middleware 用户最常使用的组合。Red Hat 直接或通过认证的合作伙伴,在产品发行过程中对这些整合技术进行全面的平台测试。这个测试过程中发现的问题都会在每个 JBoss EAP 发行本的发行注记着明确说明。随着时间的推移,已测试的整合列表还会增加。

Red Hat 根据您的订阅协议,为已测试的整合在同一主要版本产品线或高于测试版本的产品中提供产品及开发支持。根据商业需要,还会在同一主要版本中为测试整合的早期版本提供支持。

以下数据库及数据库驱动程序已在 JBoss EAP 6 发行本中进行测试。

数据库 JDBC 驱动程序
IBM DB2 9.7 IBM DB2 JDBC Universal Driver Architecture 4
IBM DB2 10.1 IBM DB2 JDBC Universal Driver Architecture 4
IBM DB2 10.5 IBM DB2 JDBC Universal Driver Architecture 4
Oracle 11g R1 Oracle JDBC Driver v11
Oracle 11g R1 RAC Oracle JDBC Driver v11
Oracle 11g R2 Oracle JDBC Driver v11
Oracle 11g R2 RAC Oracle JDBC Driver v11
Oracle 12c Oracle JDBC Driver v12
MySQL 5.7 MySQL Connector/J 5
MySQL 5.5 MySQL Connector/J 5
Microsoft SQL Server 2014 Microsoft SQL Server JDBC Driver 4
Microsoft SQL Server 2012 SP2 Microsoft SQL Server JDBC Driver 4
Microsoft SQL Server 2008 R2 SP2 Microsoft SQL Server JDBC Driver 4
PostgreSQL 9.3 JDBC4 Postgresql Driver,版本 9
PostgreSQL 9.2 JDBC4 Postgresql Driver,版本 9
Sybase ASE 15.7 Sybase jConnect JDBC driver v7
Enterprise DB Postgres Plus Advanced Server 9.3 Postgres Plus Advanced Server Driver 9.3
Enterprise DB Postgres Plus Advanced Server 9.2 Postgres Plus Advanced Server Driver 9.2
FUJITSU Integrated System HA Database Ready SX1 Open SQL Client V1.0, JDBC4 Driver
FUJITSU Software Symfoware Server V12.0.0 Symfoware Server Client V12.0.0 (Open SQL, JDBC4 Driver)
FUJITSU Software Enterprise Postgres V9.2 Enterprise Postgres Client V9.2 (JDBC4 Driver)

以下网页服务器及连接程序已作为最新 JBoss EAP 6 发行本的一部分进行测试。

网页服务器 版本 操作系统 连接程序 备注
Application Platform 6.4.0 Apache Web Server
(基于 Apache 2.2.26)
6.4.0 Red Hat Enterprise Linux 7 (x86_64, PPC)
Red Hat Enterprise Linux 6 (x86, x86_64, PPC)
Red Hat Enterprise Linux 5 (x86, x86_64)
Solaris 11 (x86, x86_64, SPARC64)
Solaris 10 (x86, x86_64, SPARC64)
Windows Server 2012 (x86_64)
Windows Server 2008 (x86, x86_64)
Windows Server 2008 R2 (x86_64)
mod_cluster 1.2.11 Final
mod_jk 1.2.40
N/A
JBoss Enterprise Web Server
(基于 Apache 2.2.26)
2.1.0(2014 年 8 月) Red Hat Enterprise Linux 6 (x86, x86_64)
Red Hat Enterprise Linux 5 (x86, x86_64)
Solaris 11 (x86, x86_64, SPARC64)
Solaris 10 (x86, x86_64, SPARC64)
Windows Server 2012 (x86_64)
Windows Server 2008 (x86, x86_64)
Windows Server 2008 R2 (x86_64)
mod_cluster 1.2.11 Final
mod_jk 1.2.40
N/A
Apache 网页服务器 2.2.15 Red Hat Enterprise Linux 6 (x86, x86_64, PPC) mod_cluster 1.2.11 Final
mod_jk 1.2.40
不支持 Apache Web Server 2.3, 2.4 及之后的版本
Apache 网页服务器 2.2.3 Red Hat Enterprise Linux 5 (x86, x86_64) mod_jk 1.2.40 不支持 Apache Web Server 2.3, 2.4 及之后的版本/td>
Microsoft IIS 7.0 Windows Server 2008 (x86, x86_64) isapi_redirect 1.2.40 N/A
Microsoft IIS 7.5 Windows Server 2008 R2 (x86_64) isapi_redirect 1.2.40 N/A
Microsoft IIS 8.5 Windows Server 2012 R2 (x86_64) isapi_redirect 1.2.40 N/A
Oracle iPlanet Web Server 7.0.15 Solaris 11 (SPARC64) nsapi_redirector 1.2.40 N/A
Oracle iPlanet Web Server 7.0.15 Solaris 11 (x86, x86_64)
Solaris 10 (x86, x86_64)
nsapi_redirector 1.2.40 N/A
Oracle iPlanet Web Server 1.0.15 Solaris 10 (SPARC64) nsapi_redirector 1.2.40 N/A
Apache 网页服务器 2.2.15 HP-UX 11v3 (Itanium 64) mod_cluster 1.2.9 Final
mod_jk 1.2.40
不支持 Apache Web Server 2.3, 2.4 及之后的版本

以下外部 JMS 提供程序已使用 JBoss EAP 6 测试。

JMS 提供程序 资源适配器
Red Hat JBoss A-MQ 6.1 [4] Red Hat JBoss A-MQ JCA Adapter
IBM WebSphere MQ v7.5 IBM WebSphere MQ JCA Adapter v7.5

[1] Red Hat 假设用户会使用支持的环境。如果出现供应商不再支持某个 JVM、操作系统、数据库或其版本的情况,Red Hat 将无法提供全面支持,并要求您在支持的环境中重现这个问题以便继续为您提供帮助。

[2] Red Hat 限制在 Red Hat Enterprise Linux 中支持 OpenJDK。

[3] 在 EAP 6.1 中添加了 HP JDK 支持。EAP 6.x 之前的版本未认证 HP JDK 支持。

[4] A-MQ 整合支持仅限于 EAP 6.1.1 及之后的版本。

有关此文档的更改,请 查看此链接